import { INode, IRawErrorObject } from '.';
declare abstract class NodeError extends Error {
    description: string | null | undefined;
    cause: Error | IRawErrorObject;
    node: INode;
    timestamp: number;
    constructor(node: INode, error: Error | IRawErrorObject);
    protected findProperty(error: IRawErrorObject, potentialKeys: string[], traversalKeys: string[]): string | null;
    private isTraversableObject;
}
export declare class NodeOperationError extends NodeError {
    constructor(node: INode, error: Error | string);
}
export declare class NodeApiError extends NodeError {
    httpCode: string | null;
    constructor(node: INode, error: IRawErrorObject, { message, description, httpCode, parseXml }?: {
        message?: string;
        description?: string;
        httpCode?: string;
        parseXml?: boolean;
    });
    private setDescriptionFromXml;
    private setMessage;
}
export {};
